Debian Bug report logs - #42318
urllib.py has problems with malformed proxy env. variables

Package: python-base; Maintainer for python-base is (unknown);

Reported by: Francesco Potorti` <F.Potorti@cnuce.cnr.it>

Date: Mon, 2 Aug 1999 10:33:00 UTC

Severity: normal

Done: Gregor Hoffleit <gregor@hoffleit.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#42318; Package reportbug. Full text and rfc822 format available.

Acknowledgement sent to Francesco Potorti` <F.Potorti@cnuce.cnr.it>:
New bug report received and forwarded. Copy sent to Chris Lawrence <lawrencc@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Francesco Potorti` <F.Potorti@cnuce.cnr.it>
To: Debian Linux bug list <submit@bugs.debian.org>
Subject: reportbug cannot access http urls
Date: Mon, 2 Aug 1999 12:25:33 +0200 (CEST)
Package: reportbug
Version: 0.20
Severity: normal

I strongly suspect that this is  a bug in urllib.py really, but I cannot
tell for sure.  One of the reasons for my suspect is that I have similar
problem with linbot.   Yet, I don't understand why I am  the only one to
have them.

Here is the output from:
     reportbug -s"scilab dies when" scilab

Querying Debian bug tracking system for reports on scilab
Traceback (innermost last):
  File "/usr/bin/reportbug", line 599, in ?
    main()
  File "/usr/bin/reportbug", line 302, in main
    (count, title, hierarchy) = debianbts.get_reports(package, system)
  File "/usr/lib/reportbug/debianbts.py", line 133, in get_reports
    page = urlopen(reportbug.SYSTEMS[system]['web'] % package)
  File "/usr/lib/reportbug/debianbts.py", line 60, in urlopen
    return _urlopener.open(url)
  File "/usr/lib/python1.5/urllib.py", line 152, in open
    return self.open_unknown(fullurl)
  File "/usr/lib/python1.5/urllib.py", line 166, in open_unknown
    raise IOError, ('url error', 'unknown url type', type)
IOError: [Errno url error] unknown url type: 'http'


-- System Information
Debian Release: potato
Kernel Version: Linux pot 2.2.10 #3 Mon Jul 12 19:50:44 CEST 1999 i686 unknown

Versions of the packages reportbug depends on:
ii  python-base     1.5.2-5        An interactive object-oriented scripting lan


Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#42318; Package reportbug. Full text and rfc822 format available.

Acknowledgement sent to Chris Lawrence <quango@watervalley.net>:
Extra info received and forwarded to list. Copy sent to Chris Lawrence <lawrencc@debian.org>. Full text and rfc822 format available.

Message #10 received at 42318@bugs.debian.org (full text, mbox):

From: Chris Lawrence <quango@watervalley.net>
To: Francesco Potorti` <F.Potorti@cnuce.cnr.it>, 42318@bugs.debian.org
Cc: Gregor Hoffleit <flight@debian.org>
Subject: Re: Bug#42318: reportbug cannot access http urls
Date: Mon, 2 Aug 1999 18:23:29 -0500
On Aug 02, Francesco Potorti` wrote:
> Package: reportbug
> Version: 0.20
> Severity: normal
> 
> I strongly suspect that this is  a bug in urllib.py really, but I cannot
> tell for sure.  One of the reasons for my suspect is that I have similar
> problem with linbot.   Yet, I don't understand why I am  the only one to
> have them.

Deeply strange.  What is the md5sum of your
/usr/lib/python1.5/urllib.py file?  Here are results from my system:

quango ~# md5sum /usr/lib/python1.5/urllib.py*
68e33d423262096d0bc6324e019ee433  /usr/lib/python1.5/urllib.py
aa12ddf3d7c9e534faf46d9b5111ac28  /usr/lib/python1.5/urllib.pyc
4d99c0e45fbb0bde9713dbac88304fa7  /usr/lib/python1.5/urllib.pyo

The pyc and pyo files might have different sums, but the urllib md5sum
should be identical.

Does the following work from a command line?

python -c 'import urllib; print urllib.urlretrieve("http://www.olemiss.edu/")'


Chris
-- 
=============================================================================
|        Chris Lawrence       |  You have a computer.  Do you have Linux?   |
|   <quango@watervalley.net>  |    http://www.linux-m68k.org/index.html     |
|                             |                                             |
|   Grad Student, Pol. Sci.   |     This address has been spam-proofed.     |
|  University of Mississippi  |      All spam goes to your postmaster.      |
=============================================================================


Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#42318; Package reportbug. Full text and rfc822 format available.

Acknowledgement sent to Francesco Potorti` <F.Potorti@cnuce.cnr.it>:
Extra info received and forwarded to list. Copy sent to Chris Lawrence <lawrencc@debian.org>. Full text and rfc822 format available.

Message #15 received at 42318@bugs.debian.org (full text, mbox):

From: Francesco Potorti` <F.Potorti@cnuce.cnr.it>
To: Chris Lawrence <quango@watervalley.net>
Cc: Gregor Hoffleit <flight@debian.org>, 42318@bugs.debian.org
Subject: Re: Bug#42318: reportbug cannot access http urls
Date: Tue, 3 Aug 1999 12:02:48 +0200 (CEST)
   > I strongly suspect that this is  a bug in urllib.py really, but I cannot
   > tell for sure.  One of the reasons for my suspect is that I have similar
   > problem with linbot.   Yet, I don't understand why I am  the only one to
   > have them.
   
   Deeply strange.  What is the md5sum of your
   /usr/lib/python1.5/urllib.py file?  Here are results from my system:
   
   quango ~# md5sum /usr/lib/python1.5/urllib.py*
   68e33d423262096d0bc6324e019ee433  /usr/lib/python1.5/urllib.py
   aa12ddf3d7c9e534faf46d9b5111ac28  /usr/lib/python1.5/urllib.pyc
   4d99c0e45fbb0bde9713dbac88304fa7  /usr/lib/python1.5/urllib.pyo

$ md5sum /usr/lib/python1.5/urllib.py*
68e33d423262096d0bc6324e019ee433  /usr/lib/python1.5/urllib.py
aa12ddf3d7c9e534faf46d9b5111ac28  /usr/lib/python1.5/urllib.pyc
4d99c0e45fbb0bde9713dbac88304fa7  /usr/lib/python1.5/urllib.pyo

   The pyc and pyo files might have different sums, but the urllib md5sum
   should be identical.

They are all identical
   
   Does the following work from a command line?
   
No :-(

   python -c 'import urllib; print urllib.urlretrieve("http://www.olemiss.edu/")'
   
$ python -c 'import urllib; print urllib.urlretrieve("http://www.olemiss.edu/")'
Traceback (innermost last):
  File "<string>", line 1, in ?
  File "/usr/lib/python1.5/urllib.py", line 66, in urlretrieve
    return _urlopener.retrieve(url, filename, reporthook)
  File "/usr/lib/python1.5/urllib.py", line 184, in retrieve
    fp = self.open(url)
  File "/usr/lib/python1.5/urllib.py", line 152, in open
    return self.open_unknown(fullurl)
  File "/usr/lib/python1.5/urllib.py", line 166, in open_unknown
    raise IOError, ('url error', 'unknown url type', type)
IOError: [Errno url error] unknown url type: 'http'

Ok, now I am  sure: the linbot prblem I have depends  on this.  I solved
the linbot  problem by telling linbot  to use a proxy.   This solves the
problem  with  http  urls,  yet  the problem  persists  with  ftp  urls.
Obviously, I have no idea why.  I can make tests, if you need that.


Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#42318; Package reportbug. Full text and rfc822 format available.

Acknowledgement sent to Chris Lawrence <quango@watervalley.net>:
Extra info received and forwarded to list. Copy sent to Chris Lawrence <lawrencc@debian.org>. Full text and rfc822 format available.

Message #20 received at 42318@bugs.debian.org (full text, mbox):

From: Chris Lawrence <quango@watervalley.net>
To: Francesco Potorti` <F.Potorti@cnuce.cnr.it>
Cc: Gregor Hoffleit <flight@debian.org>, 42318@bugs.debian.org
Subject: Re: Bug#42318: reportbug cannot access http urls
Date: Tue, 3 Aug 1999 17:56:25 -0500
On Aug 03, Francesco Potorti` wrote:
> Ok, now I am  sure: the linbot prblem I have depends  on this.  I solved
> the linbot  problem by telling linbot  to use a proxy.   This solves the
> problem  with  http  urls,  yet  the problem  persists  with  ftp  urls.
> Obviously, I have no idea why.  I can make tests, if you need that.

I really don't understand this at all.  Do you have an $http_proxy
environment variable, perhaps?  reportbug should work with one that
looks like 'http://some.proxy.server:port/', but some other format
might throw urllib off.


Chris
-- 
=============================================================================
|          Chris Lawrence         |           Visit my home page!           |
|     <quango@watervalley.net>    |     http://www.lordsutch.com/chris/     |
|                                 |                                         |
|     Grad Student, Pol. Sci.     |      Visit the Amiga Web Directory      |
|    University of Mississippi    |     http://www.cucug.org/amiga.html     |
=============================================================================


Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#42318; Package reportbug. Full text and rfc822 format available.

Acknowledgement sent to Francesco Potorti` <F.Potorti@cnuce.cnr.it>:
Extra info received and forwarded to list. Copy sent to Chris Lawrence <lawrencc@debian.org>. Full text and rfc822 format available.

Message #25 received at 42318@bugs.debian.org (full text, mbox):

From: Francesco Potorti` <F.Potorti@cnuce.cnr.it>
To: Chris Lawrence <quango@watervalley.net>
Cc: 42318@bugs.debian.org, Gregor Hoffleit <flight@debian.org>
Subject: Re: Bug#42318: reportbug cannot access http urls
Date: Wed, 4 Aug 1999 15:48:46 +0200 (CEST)
   I really don't understand this at all.  Do you have an $http_proxy
   environment variable, perhaps?  reportbug should work with one that
   looks like 'http://some.proxy.server:port/', but some other format
   might throw urllib off.

Seems you are on the right track:

$ python -c 'import urllib; print urllib.urlretrieve("http://www.olemiss.edu/")'
Traceback (innermost last):
  File "<string>", line 1, in ?
  File "/usr/lib/python1.5/urllib.py", line 66, in urlretrieve
    return _urlopener.retrieve(url, filename, reporthook)
  File "/usr/lib/python1.5/urllib.py", line 184, in retrieve
    fp = self.open(url)
  File "/usr/lib/python1.5/urllib.py", line 152, in open
    return self.open_unknown(fullurl)
  File "/usr/lib/python1.5/urllib.py", line 166, in open_unknown
    raise IOError, ('url error', 'unknown url type', type)
IOError: [Errno url error] unknown url type: 'http'
$ 
$ 
$ env - python -c 'import urllib; print urllib.urlretrieve("http://www.olemiss.edu/")'
('/tmp/@5188.1', <mimetools.Message instance at 80a6400>)
$ 
$ 
$ env|fgrep -i proxy
HTTP_PROXY=proxy.cnr.it:8081
WAIS_PROXY=proxy.cnr.it:8081
NO_PROXY=pi.cnr.it,garr.nis.it,cnuce.cnr.it,unipi.it,ftp.cnr.it,directa.it,directatrading.com
FTP_PROXY=proxy.cnr.it:8081
GOPHER_PROXY=proxy.cnr.it:8081
$ 
$ 
$ HTTP_PROXY=http://proxy.cnr.it:8081/ python -c 'import urllib; print urllib.urlretrieve("http://www.olemiss.edu/")'
('/var/tmp/@5217.1', <mimetools.Message instance at 8076be0>)
$ 

The form that I have been using is apparently understood by w3.el, but
now that I think of it may not be understood by lynx.  Not sure.

Anyway, if the results of calling urllib.urlretrieve is what you
expected, then this problem becomes:

when setting a proxy variable that is not parsed by urllib, urllib does
not print a comprehensible error message.

Thanks


Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#42318; Package reportbug. Full text and rfc822 format available.

Acknowledgement sent to Chris Lawrence <quango@watervalley.net>:
Extra info received and forwarded to list. Copy sent to Chris Lawrence <lawrencc@debian.org>. Full text and rfc822 format available.

Message #30 received at 42318@bugs.debian.org (full text, mbox):

From: Chris Lawrence <quango@watervalley.net>
To: Francesco Potorti` <F.Potorti@cnuce.cnr.it>, 42318@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#42318: reportbug cannot access http urls
Date: Wed, 4 Aug 1999 12:54:40 -0500
reassign 42318 python-base
retitle 42318 urllib.py has problems with malformed proxy env. variables
done

On Aug 04, Francesco Potorti` wrote:
> The form that I have been using is apparently understood by w3.el, but
> now that I think of it may not be understood by lynx.  Not sure.
> 
> Anyway, if the results of calling urllib.urlretrieve is what you
> expected, then this problem becomes:
> 
> when setting a proxy variable that is not parsed by urllib, urllib does
> not print a comprehensible error message.

OK, I have reassigned and retitled the bug accordingly.


Chris
-- 
=============================================================================
|        Chris Lawrence        |             The Linux/m68k FAQ             |
|   <quango@watervalley.net>   |   http://www.linux-m68k.org/faq/faq.html   |
|                              |                                            |
|    Amiga A4000 604e/233Mhz   |        Visit the Amiga Web Directory       |
|     with Linux/APUS 2.2.8    |       http://www.cucug.org/amiga.html      |
=============================================================================


Bug reassigned from package `reportbug' to `python-base'. Request was from Chris Lawrence <quango@watervalley.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed bug title. Request was from Chris Lawrence <quango@watervalley.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Gregor Hoffleit <gregor@hoffleit.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Francesco Potorti` <F.Potorti@cnuce.cnr.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 42318-done@bugs.debian.org (full text, mbox):

From: Gregor Hoffleit <gregor@hoffleit.de>
To: 78577-done@bugs.debian.org, 42318-done@bugs.debian.org, 50197-done@bugs.debian.org, 72354-done@bugs.debian.org, 68677-done@bugs.debian.org
Subject: Fixed in python 1.5.2-11
Date: Sun, 28 Jan 2001 20:43:28 +0100
This bug has been fixed by the installation of python 1.5.2-11 in the
archive (cf. changelog).

    Gregor
    



Message #40 received at 42318-done@bugs.debian.org (full text, mbox):

From: Gregor Hoffleit <gregor@hoffleit.de>
To: 78577-done@bugs.debian.org, 42318-done@bugs.debian.org, 50197-done@bugs.debian.org, 72354-done@bugs.debian.org, 68677-done@bugs.debian.org
Subject: Fixed in python 1.5.2-11
Date: Sat, 17 Feb 2001 21:54:52 +0100
This bug already has been fixed in 1.5.2-11, and therefore can be closed.

    Gregor



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 04:53:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.